Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » 4DIAC - Framework for Distributed Industrial Automation and Control » how to run 4diac IDE base on source(build source)
how to run 4diac IDE base on source [message #1800190] Fri, 21 December 2018 07:30 Go to next message
Yipeng Zhu is currently offline Yipeng ZhuFriend
Messages: 9
Registered: November 2018
Junior Member
hi,

I want to run 4diac ide base on source, does any could support some guide for this?

Thank you.
Re: how to run 4diac IDE base on source [message #1800198 is a reply to message #1800190] Fri, 21 December 2018 09:04 Go to previous messageGo to next message
Alois Zoitl is currently offline Alois ZoitlFriend
Messages: 866
Registered: January 2014
Senior Member
Hi,

we tried to compile the steps necessary for building and running 4diac IDE from source in our documentation [1]. I had a quick look and it needs some cleaning but it should get you started. The most important changes are that the typelibrary is now part of the 4diac IDE git repo and that you should always use the latest Eclipse Modelling Tools IDE.

I try to clean it up during the day so that it will get into the 1.10.1 maintainence release planed for today. Here is the according bug report [2]

Cheers,
Alois

[1] https://www.eclipse.org/4diac/en_help.php?helppage=html/development/building4diac.html
[2] https://bugs.eclipse.org/bugs/show_bug.cgi?id=542977
Re: how to run 4diac IDE base on source [message #1800216 is a reply to message #1800198] Fri, 21 December 2018 13:01 Go to previous messageGo to next message
Alois Zoitl is currently offline Alois ZoitlFriend
Messages: 866
Registered: January 2014
Senior Member
Updated version of this documentation chapter is now also on the webpage.
Re: how to run 4diac IDE base on source [message #1800363 is a reply to message #1800198] Wed, 26 December 2018 02:21 Go to previous messageGo to next message
Yipeng Zhu is currently offline Yipeng ZhuFriend
Messages: 9
Registered: November 2018
Junior Member
"Get the latest Eclipse IDE. Use Eclipse Modeling Tools edition. In addition to the default Modeling Tool package you will need the following Eclipse Plug-ins. These can be installed via Help → Install Modeling Components.
Xpand
Xtext"

Xpand and Xtext install with some failure,

Is there any suggestion about these two packages,the newest Modeling Components don't have option( Install Modeling Components).

Thank you.
Re: how to run 4diac IDE base on source [message #1800402 is a reply to message #1800363] Wed, 26 December 2018 23:15 Go to previous message
Alois Zoitl is currently offline Alois ZoitlFriend
Messages: 866
Registered: January 2014
Senior Member
Hi,

oh I forgot to remove that. For starting you don't need xpand and xtext. The target platform will take care of that. Or maybe it is even part of the modeling package already. You can check under Help -> About Eclipse IDE -> Installation Details.

Will just updated the page accordingly.

Alois
Previous Topic:Export lua basic function block failed
Next Topic:Forte Runtime status resume from exception
Goto Forum:
  


Current Time: Wed Aug 21 18:11:46 GMT 2019

Powered by FUDForum. Page generated in 0.02123 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top